
html {
  scroll-behavior: smooth;
}

.navbar {
   display: flex;
   align-items: center;
   justify-content: space-between;
   position: fixed; 
   top: 0; 
   left: 0; 
   color: var(--title-second-color);
   transition: 1s; 
   width: 100vw; 
   font-size: 1.2rem;
   z-index: 100; 
   cursor: pointer;
   font-weight: 400; 

}

.navbar.rolagem {
    background-color: #fff;
    color: var(--text-color); 
    position: fixed; 
    font-size: 1.25rem; 
    box-shadow: rgba(50, 50, 93, 0.15) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;

}

.navbar.rolagem a{
    color: var(--text-color); 
}

.navbar__items{
    position: relative;
     padding-top: 3rem;
     padding-bottom: 2rem;
     width: 100%;
     display: flex;
     font-family: 'Poppins', sans-serif; 
     padding-left: 3rem;
     padding-right: 3rem; 

      
 }
 
 .navbar__item{
     display: inline-block;
     list-style: none;
     margin: 0 3rem; 
     padding: 0rem;
     text-decoration: none;

 }

 .navbar__item a{
  text-decoration: none;
  color: #fff; 
  position: relative; 
 
}

 .navbar ul li a::before{
  content: ' '; 
  position: absolute; 
  bottom: -2px; 
  width: 100%;
  height: 2px;
  background-color: #ffffff;
  transform: scaleX(0); 
  transition: transform 0.5s ease-in-out;
  transform-origin: right;
  
 
}

.navbar ul li a::before{
    content: ' '; 
    position: absolute; 
    bottom: -2px; 
    width: 100%;
    height: 2px;
    background-color: #ffffff;
    transform: scaleX(0); 
    transition: transform 0.5s ease-in-out;
    transform-origin: right;
    
   
  }
 
  .navbar.rolagem ul li a::before{
    background-color: #000;
   
  }


.navbar ul li a:hover::before{
  transform: scaleX(1); 
  transform-origin: left;
 
}



.navbar__logo{
    padding-top: 3rem;
    padding-bottom: 2rem;
    padding-left: 3rem;


}


.navbar__logo img{
    display: block;
    max-width: 12.5rem;
    width: 100%;
    margin-top: -2.15rem; 

}


.dropdown {
  position: relative;
}

.dropdown-menu li a::before {
  display: none; 
}

.dropdown-menu {
  display: none;
  position: absolute;
  top: 105%; 
  left: 0;
  background-color: #fff;
  padding: 0;
  margin: 0;
  list-style: none;
  z-index: 100;
  min-width: 200px; 
  border-radius: 10px; 
  transition: 1s;
  box-shadow: rgba(50, 50, 93, 0.15) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;

}

.dropdown-menu li {
  display: block;
  padding: 0;
}

.dropdown-menu li a {
  
  text-decoration: none;
  display: block;
  padding: 1rem;
  white-space: nowrap;
}

.dropdown-menu li a:hover {
  color: #fff; 
  background-color: #47a884;
  border-radius: 0px; 
}

.dropdown:hover .dropdown-menu,
.dropdown-menu:hover {
  display: block;
}
 

#dropdown-eolica a:hover{
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;  
}

.navbar__menu-icon{
  display: none;
  
}
.navbar__mobile{
  display: none;
  flex-direction: column;
  text-align: center;
  position: absolute;
  top: 100%; /* Fica logo abaixo do navbar */
  left: 0;
  width: 100%; /* O menu ocupa toda a largura */
}



@media screen and (max-width: 880px){
  
  .nav{
    display: flex;
    align-items: center;
    justify-content: center;
  }

.navbar.rolagem button{
    color: var(--text-color); 
  }

  .navbar__items{
    display: none;
  }

  .navbar__items a{
    color: #fff; 
  }
  .navbar__menu-icon{

    display: block;
    padding: 2rem 2rem; 
    height: 100%;
    line-height: 1;

  }


  .navbar__menu-icon button{
    background-color: transparent; 
    cursor: pointer; 
    border: none; 
    color: #fff;  
    font-size: 2rem; 
  }

  .navbar__logo{
    padding: 2rem 1rem; 
    margin-top: 1rem; 
  }
  .navbar__logo img{
    width: auto;
    padding: 0rem 0rem; 
  }

  .navbar__mobile ul{
    display: flex;
    flex-direction: column;
    text-align: center;
    padding-bottom: 1rem; 
  }
  .navbar__mobile .navbar__item{
    display: block;
    padding-top: 1.2rem; 
  }

  .open{
    display: block;
  }
}
body{
  width: 100%;
  min-height: 100vh;  
  overflow-x: hidden;

}


.videobackground{
    width: 100%;
    height: 100vh;

}

.videobackground button{
    position: relative;
    top: 20rem; 
}

.videobackground video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.sustainable-message h2{ 
    font-family: 'League Spartan', sans-serif;
    font-weight: 750;
    font-size: 3rem; 
    align-items: center;
    background-image: url("../assets/img/Imagem3.jpg");
    background-position: cover;
    padding: 6rem; 
    text-align: center;
    background-repeat: no-repeat;
    color: var(--title-second-color);
    letter-spacing: 1.5px;
  
 }

 @media screen and (max-width: 730px){
  .sustainable-message h2{
    font-size: 2rem; 
    padding: 4rem; 
  }
 }
 
 @media screen and (max-width: 480px){
  .sustainable-message h2{ 
    padding: 3rem; 
  }
 }
 

.energysection--left{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5% 12%;
    text-align: left;

}

.energysection--right{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0% 12%;
    text-align: right;

}

.energysection img{
    width: 35rem;
    height: 23rem;
    object-fit: cover;
    border-radius: 60px;
    box-shadow: rgba(0, 0, 0, 0.25) 0 8px 15px;
    justify-content: center;
    align-items: center;
    margin: 2rem;
}

.energysection h2{
    font-size: 2.8rem;
    font-family: 'League Spartan', sans-serif;
    color: var(--title-primary-color); 
}

.energysection p{
    font-size: 1.8rem; 
    font-family: 'Poppins', sans-serif;
    padding: 1rem 0rem;
}

.energysection button{

    border-width: 5px;
    border-style: solid;
    border-color: var(--action-color);
    font-size: 2rem;
    color: var(--title-primary-color);
    background-color: #fff;
    font-family: 'League Spartan', sans-serif;
    font-weight: 700;
    padding: 0.8rem;
    transition: all 1s cubic-bezier(.23, 1, 0.32, 1);
    border-radius: 100px;
    cursor: pointer;
    

}

.energysection button:hover{
    border-color: var(--action-color);
    color: var(--title-second-color);
    background-color: var(--action-color);
    transform: translateY(-2px);
    box-shadow: rgba(0, 0, 0, 0.25) 0 8px 15px;
}


.energysection button:active {
  box-shadow: none;
  transform: translateY(0);
}

@media screen and (max-width: 1280px){
  .energysection--left{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  .energysection--right{
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  .energysection img{
    width: 32rem;
    height: 21rem;
    margin-bottom: 2rem; 
    margin-top: 2rem; 
  }

}


@media screen and (max-width: 730px){
  .energysection--left{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  .energysection--right{
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  .energysection h2{
    font-size: 2.5rem; 
  } 
}

@media screen and (max-width: 480px){
  .energysection img{
    width: 20rem;
    margin-left: 0; 
    margin-right: 0;
    margin-top: 2rem;
    margin-bottom: 2rem;  
  }
  .energysection h2{
    font-size: 2.5rem; 
  } 
  .energysection p{
    font-size: 1.5rem; 
    font-family: 'Poppins', sans-serif;
    padding: 1rem 0rem;
}
}

.footer {
    width: 100%;
    background-color: #71451D;
    height: 20rem;
    display: flex;
    flex-direction: column;
    align-items: center; 
    justify-content: center;
    padding: 0 3rem;
    bottom: 0; 
}

.footer__logo {
    display: flex;
    align-items: center;
}

.footer__items {
    display: flex;
    justify-content: center; 
    align-items: center; 
    list-style-type: none;
    margin: 0 auto; 
    padding: 3rem;
}

.footer__item {
    padding: 0 3rem;
}

.footer__item a {
    font-size: 1.5rem;
    font-family: 'Poppins', sans-serif;
    color: #fff;
    text-decoration: none;
}

.footer__item:hover {
    transform: translateY(-3px);
}

.footer__logo p{
  font-size: 1.2rem;
  font-family: 'Poppins', sans-serif;
  color: #fff;
}


@media screen and (max-width: 730px){
  .footer__items{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
  }

}



